package cz.zcu.kiv.aswi.maploc.register;

import java.util.Iterator;
import java.util.Map;

/**
 * Interface pro skupinu objketu
 */
public interface MapPoiGroup {
	/**
	 * Vraci iterator objektu skupiny
	 * @return	iterator objektu
	 */
    Iterator<MapPoiReference> getObjectsOfGroup();
    /**
     * Vraci paramtry skupiny. Jedna se o staticke (nemene) parametry.
     * @return	parametry skupiny
     */
    Map<String, Object> getParameters();

}